   










	                SDRC Software und Service GmbH



                    I - D E A S   2 D   E N G I N E E R I N G
                        D A T A - T R A N S L A T O R
                                Version  2.0
                                   (UNIX)
                              





                                                        
                                  

                               R E A D   M E



                                Oktober 1994


                                   



                       
































    R E A D   M E          I-DEAS 2D ENGINEERING DATA TRANSLATOR   2.0








    INHALTSVERZEICHNIS


    1       Allgemeines

    1.1     Auslieferung
    1.2     Dokumentation


    2       Technische Hinweise

    2.1     Ressourcenbedarf                                           
    2.2     Softwarekonfiguration
    2.2.1   Systembasis
    2.2.2   Umfeldprodukte
    2.3     Produktinstallation
    2.4     Produkteinsatz
    2.4.1   Kundenspezifische Anpassungen 
    2.4.2   Besonderheiten der Datenstrukturen
    2.4.3   Erweiterung der Statistik
    2.4.4   Behandlungen von Massstaeben
    2.4.5   Behandlungen von unsichtbaren Elementen
    2.4.6   Besonderheiten in Verbindung mit SIGRAPH-CAD 2D
    2.5     entfallene Funktionen
    2.6     Inkompatibilitaeten
    2.7     Einschraenkungen
    2.7.1   Installation
    2.7.2   Einschraenkungen bei der Datenumsetzung
    2.7.2.1 Splines
    2.7.2.2 Unendliche Linien
    2.7.2.3 Bogenlaengenbemassung
    2.7.2.4 Namen von Primitiven
    2.7.2.5 Parameter IGES_PFAD in der Konfigurationsdatei
    2.7.2.6 Konturen (Flaechen)
    2.7.2.7 Schraffuren
    2.7.2.8 Ausblenden
    2.7.2.9 Viewbehandlung
    2.8     Verhalten im Fehlerfall


    3       Hardware-Unterstuetzung

    4       Software-Unterstuetzung

    5       Hinweise

    6       Hilfsprozedur iges_massstab.aql


















    1       Allgemeines

            I-DEAS 2D ENGINEERING DATA TRANSLATOR (im folgenden kurz DATA 
            TRANSLATOR genannt) ist der IGES/DXF-Prozessor zu I-DEAS 2D 
            ENGINEERING. Mit ihm koennen IGES- und DXF--Dateien gelesen und 
            erzeugt werden. Die Funktionalitaet kann durch die Auswahl von 
            Leistungsstufen und Schaltern in der Konfigurationsdatei gewaehlt 
            werden.

            Der DATA TRANSLATOR besitzt folgende Merkmale:

            1. Leistungstufe G1B1 und G1B2 nach VDAIS, 
               sowie PLUS (Sinnvolle Erweiterungen) fuer IGES
            2. Diverse Schalter zur Steuerung der Umsetzung
            3. Ausfuehrliche Statistik der umgesetzen Elemente
            4. AQL-Schnittstelle vor und nach der Umsetzung
            5. Interaktiver und Batch Modus (ueber AQL)

            Weitere Informationen zum Funktionsumfang etc. sind dem 
            Produktblatt und dem Benutzerhandbuch zu entnehmen.
       


    1.1     Auslieferung

            Die Auslieferung der Software erfolgt zusammen mit 
            I-DEAS 2D ENGINEERING auf CD-ROM. 



    1.2     Dokumentation

            Die Inbetriebnahmeanleitung und ein Handbuch ist im Liefer-
	      umfang von I-DEAS 2D ENGINEERING enthalten. Benutzerhandbuecher 
	      koennen gesondert nachbestellt werden.

        Titel                                   Bestellnummer  Stand 
        --------------------------------------------------------------
        I-DEAS 2D ENGINEERING DATA TRANSLATOR   P-10156        Mai 92
        Benutzerhandbuch

        I-DEAS 2D ENGINEERING DATA TRANSLATOR   P-10164        Mai 92
        Users Guide   





    2       Technische Hinweise


    2.1     Ressourcenbedarf


            Prozessorleistung:

               keine Beschraenkung

            Hauptspeicherbedarf:

               Minimum:                        16 Mbyte
               Empfehlung:                     32 Mbyte
               (erforderlich fuer grosse Modelle)


            Plattenspeicherbedarf:
               Installation                    ca. 2 Mbyte.
               Anwendung je nach Modellgroesse ca. 20 - 40 MB und mehr

            


    2.2     Softwarekonfiguration
                                     

    2.2.1   Systembasis

            wie I-DEAS 2D ENGINEERING 2.0


    2.2.2   Umfeldprodukte
                             
            wie I-DEAS 2D ENGINEERING 2.0

            HINWEIS !   Die Installation von I-DEAS 2D ENGINEERING 2.0 
                        ist Vorraussetzung fuer den einwandfreien 
                        Betrieb des DATA TRANSLATORS.


    
    2.3     Produktinstallation

            Die Produktinstallation erfolgt mit der I-DEAS Master Series 
            Installationsprozedur.

            Die Inbetriebnahmeanleitung ist im Lieferumfang von 
            I-DEAS 2D ENGINEERING 2.0 enthalten.



    2.4     Produkteinsatz

            Zum Einsatz des DATA TRANSLATORS sind keine Vorkenntnisse 
            noetig.

            Zur Optimierung der Datenuebertragung zwischen I-DEAS 2D 
            ENGINEERING und einem bestimmten CAD - System sollte ein 
            eigenes Zuordnungsdateiverzeichnis mit speziell ange-
            passten Zuordnungsdateien angelegt werden. Dazu sind 
            jedoch gute Kenntnisse des gewaehlten Formates erforderlich.

            Naehere Hinweise siehe Benutzerhandbuch.

            Kurse werden von SDRC und von den SNI Schulen angeboten.
                


    2.4.1   Kundenspezifische Anpassungen 

            Konfigurationsdatei fuer den DATA TRANSLATOR:
                
            In der Datei design.config sind Systemvoreinstellungen
            abgelegt. Naeheres siehe I-DEAS 2D ENGINEERING Benutzer-
            handbuch Band I.

            Die Namen fuer die Konfigurationsdateien (mit speziellen
            Einstellungen) koennen in der Datei design.config in 
            folgenden Zeilen als Defaultwerte definiert werden:

              iif  <xxxx.iga>         
              iof  <yyyy.iga>

            wobei: <xxxx.iga> = Name oder Pfad der Konfigurationsdatei 
                                fuer INPUT, d.h. Einlesen von Dateien
                   <yyyy.iga> = Name oder Pfad der Konfigurationsdatei 
                                fuer OUTPUT, d.h Erzeugen von Dateien

            Falls kein Pfad angegeben wurde, werden diese Dateien 
            stets im aktuellen Verzeichnis gesucht.

            In der Konfigurationsdatei koennen beliebige Kommentare 
            ( wie in Pascal oder C zwischen /* und */ ) und sog. Schalter
            oder Variable zur Steuerung der Umsetzung stehen.

            Die Schaltersyntax ist folgendermassen:

            <format>_<type>  <wert>

            wobei <format> = IGES oder DXF
                  <type>   = ein gueltiger Schaltertyp
                  <wert>   = je nach Schaltertyp true oder false,
                                                 eine Zahl,
                                                 ein Schluesselwort oder
                                                 ein beliebiger Name 
                                                 (z.B. Verzeichnisname)

            Diese Dateien muessen nicht vorhanden sein oder koennen leer
            sein. In diesem Fall werden folgende Voreinstellungen vor-
            genommen:

            (design_pfad := Verzeichnis des Installationsverzeichnis-
                            ses von I-DEAS 2D ENGINEERING 2.0)

            IGES_PFAD .          /* aktuelles Verzeichnis */
            IGES_TEMP .          /* aktuelles Verzeichnis */
            IGES_ZUOR <design_pfad>/design_iges/zuor  
            IGES_PROT .          /* aktuelles Verzeichnis */
            IGES_UBBL .          /* aktuelles Verzeichnis */
            IGES_AQLP .          /* aktuelles Verzeichnis */
            IGES_LANG english    /* auch in der deutschen Version ! */
            IGES_DRAW true
            IGES_SPLI true
            IGES_GRUP false
            IGES_LAYR false
            IGES_CONT true
            IGES_STUF G1B1
            IGES_MASS false      /* fuer post-prozessor; 
                               true fuer pre-prozessor oder PLUS - Stufe */
            IGES_GRAF false 
            IGES_USER vorh
            IGES_VIEW false
            IGES_VINR false
            IGES_NAME false
            IGES_DATP true
            IGES_STAT true
            IGES_UNIT false
            IGES_MESS norm
            IGES_PREP                           /* Keine Prozedur */
            IGES_PSTP                           /* Keine Prozedur */
            IGES_FIRM  ""
            IGES_AUTH  ""
            IGES_ASPR  ""
            IGES_TEL   ""
            IGES_ADRS  ""
            IGES_PROJ  ""
            IGES_PROK  ""
            IGES_VARI  ""
            IGES_VERT  ""
            IGES_GDAT  "" 
            IGES_EFA   ""
            IGES_ENA   ""
            DXF_PFAD .          /* aktuelles Verzeichnis */
            DXF_TEMP .          /* aktuelles Verzeichnis */
            DXF_ZUOR <design_pfad>/design_iges/zuor_dxf  
            DXF_PROT .          /* aktuelles Verzeichnis */
            DXF_UBBL .          /* aktuelles Verzeichnis */
            DXF_AQLP .          /* aktuelles Verzeichnis */
            DXF_LANG <aktuelle Sprache>
            DXF_SPLI true
            DXF_MASS true
            DXF_USER vorh
            DXF_VIEW true
            DXF_VINR false
            DXF_NAME false
            DXF_DATP true
            DXF_STAT false
            DXF_UNIT false
            DXF_MESS norm
            DXF_PREP                           /* Keine Prozedur */
            DXF_PSTP                           /* Keine Prozedur */


    2.4.2   Besonderheiten der Datenstrukturen

            Der Post-Prozessor erzeugt eine I-DEAS 2D ENGINEERING Daten-
            struktur, die keine Relationen enthaelt und in etwa dem, was 
            durch die Funktion "Redefinition auf einfache Definitionsarten" 
            (Totenkopf-Ikone) erzeugt wird, entspricht.

            Jedes Primitiv wird dabei ueber Punkte gebildet. Der Erste
            wird relativ zu Ursprung erzeugt und 'iges_origin' genannt.
            Alle weiteren Punkte werden relativ zu diesem ersten Punkt
            erzeugt.

            Zusaetzlich werden Punkte, die sich um weniger als dem mit
            ALLG_SYST_EPSL definierten Betrag (wird in iges.zuor bzw. 
            dxf.zur definiert; s.BHB I-DEAS 2D ENGINEERING DATA TRANSLATOR
            S.21) von bereits erzeugten Punkten unterscheiden, nicht erzeugt,
            sondern wiederverwendet. Beim Editieren eines Punktes bleiben 
            daher die Relationen zu den verbundenen Primitiven stets 
            erhalten.

            Diese Unterscheidung wird jeweils fuer die X- und die Y- 
            Achse getrennt durchgefuehrt. Punkte, deren X-Koordinate 
            sich um weniger als ALLG_SYST_EPSL von der des Bezugs-
            punktes unterscheiden, werden als Y-Paralele Punkte er-
            zeugt. Analoges gilt fuer dir Y-Koordinaten.
              
            Da auf diese Weise jedoch immer noch zu viele Primitive 
            vom Typ "Laenge" entstehen, werden die fuer die Koordina-
            ten verwendeten Laengen ebenfalls wiederverwendet, wenn 
            sie identisch (im Rahmen der Rechengenauigkeit des Proz-
            essors) sind. Daher sollte beim nachtraeglichen Editieren
            einer Koordinate stets eine neues Primitiv erzeugt werden,
            um unerwuenschte Seiteneffekte zu vermeiden..


    2.4.3   Erweiterung der Statistik

            Seit Drucklegung des Handbuchs wurde der Informationsin-
            halt der Statistik erweitert. Die Tabellenueberschriften 
            bedeuten folgendes:

            Elementname : Bezeichnung des Entities

            LSTF        : Erforderliche Leistungsstufe nach VDAIS
                          oder PLUS :  PLUS-Stufe
                          oder ??   :  Entity keiner Leistungsstufe 
                                       zugeordnet
                          oder --   :  Mindestens ein Entity wurde 
                                       ignoriert
                          (Nur fuer IGES)

            Entity      : Nummer des IGES-Entities
                          Fehlt der Eintrag, wird die Statistik nur 
                          fuer eine einzelne Formnummer angegeben.
                          (Nur fuer IGES)

            Form        : Formnummer des IGES-Entities
                          Fehlt der Eintrag, handelt es sich um eine 
                          Summenzeile. In den naechsten Zeilen werden 
                          die einzelnen Form-Nummern behandelt.
                          (Nur fuer IGES)
                          
            Gesamt      : Gesamtanzahl des Elementes

            OK          : Anzahl der uebersetzten Elemente. (Teil
                          von Gesamt)

            Konv.       : Anzahl der konvertierten Elemente. Erfolgreich 
                          konvertiert bedeutet auch erfolgreich uebersetzt.

                          Beispiel: Spline wird zu einem Linien-
                          zug konvertiert.
                          

            Ignor.      : Anzahl der Elemente, die nicht verwendet 
                          wurden.

                          Beispiele:  Elemente mit Status 'blanked'
                                      Bezugspunkt von Gruppen
                                      Properties   (406)
                                      Copious Data (106) in PLUS
                                      Elemente nicht in Ansicht

            Fehler      : Element konnte nicht uebersetzt werden, da 
                          ein Fehler aufgetreten ist. Entsprechende 
                          Meldungen werden entweder im Hintergrund-
                          fenster ausgegeben (Schwere Fehler) oder in 
                          die Protokolldatei geschrieben.

                          Werden Elemente (Linien, Kreise, usw.) nicht
                          uebersetzt, kann dies an einer zu grossen 
                          Toleranz (siehe ALLG_SYST_EPSL in iges.zuor
                          bzw. dxf.zur) liegen.
                         


    2.4.4   Behandlung von Massstaeben

            Massstaebe von Einzelheiten koennen in I-DEAS 2D ENGINEERING
            nicht richtig eingelesen werden, da in der IGES-Datei nur 
            ein einziger Massstab (In der Global-Section) steht. 
            Einzelheiten werden daher stets in diesem (globalen) Mass-
            stab erzeugt, was dazu fuehrt, das Masse in diesen Einzel-
            heiten als theoretisches Mass (also unterstrichen) er-
            scheinen. Leider kann dies nicht mit konvertierten Massen
            (als Linien und Texte erzeugten) durchgefuehrt werden.

            Analoges gilt auch fuer die DXF-Umsetzung.

            Derartige Bilder koennen mit der dafuer geschaffenen und 
            unter Punkt 7 beschriebenen Prozedur iges_massstab.aql 
            nachbehandelt werden.


    2.4.5   Behandlungen von unsichtbaren Elementen

            IGES-Entities mit dem Status 'blanked' werden in einer 
            unsichtbaren Ebene 'iges_blanked' erzeugt.
            (Nur fuer IGES)


    2.4.6   Besonderheiten in Verbindung mit SIGRAPH-CAD 2D

            Sichtbarkeit:

            Sowohl SIGRAPH-CAD 2D als auch I-DEAS 2D ENGINEERING ver-
            wenden das Fuellen von Flaechen zum Ausblenden von anderen 
            Elementen. Um nun im Zielsystem dieselbe Darstellung zu 
            erhalten, wird zusaetzlich eine Sichtbarkeitsliste ueber-
            tragen. Dazu wird ein Property-Entity (406) der Form 6731 
            verwendet. Es enthaelt die Elemente in der Reihenfolge wie 
            sie gezeichnet werden; das 'oberste' also zuletzt.

            Dieses Property wird von DESIGN-IGES ab Version 3.7A00 
            und von SIGRAPH-CAD-IGES ebenfalls ab Version 3.7A00 aus-
            gewertet.

            
            Zeichensatz:

            Die Zeichensaetze von SIGRAPH-CAD 2D und I-DEAS 2D ENGINEERING
            unterscheiden sich erheblich und entspechen beide nicht 
            der IGES-Norm. Vorallem die Erweiterungen fuer den deut-
            schen Sprachraum sind nicht beruecksichtigt. Jedoch durch 
            die Verwendung der erweiterten Zuordnungsdateien koennen 
            diese Zeichen zwischen den genannten Systemen ausgetauscht
            werden. Dazu muss folgende Zeile in Konfigurationsdatei
            eingefuegt werden:

            IGES_ZUOR #zuor_ext
            

    2.5     Entfallene Funktionen

            keine


    2.6     Inkompatibilitaeten
                                                
            Beim Einlesen von IGES-Dateien, die Subfigure Definition 
            Entities (308) enthalten (siehe Statistik), sollte die
            verwendete Konfigurationsdatei die Zeile 

            IGES_USER neu

            enthalten, damit die USER-Elemente neu erzeugt werden.


    2.7     Einschraenkungen 


    2.7.1   Installation


            I-DEAS 2D ENGINEERING DATA TRANS kann nicht verwendet werden, 
            wenn I-DEAS 2D ENGINEERING im Lieferdirektory ohne Verwendung 
            der Startprozedur gestartet wird.

            Das gleiche gilt, wenn in der Startprozedur vor dem 
            Programmnamen .. eingefuegt werden sollte.
            
            z.B /usr/lib/link_languages/../design   NICHT MOEGLICH

                        
    2.7.2   Einschraenkungen bei der Datenumsetzung

    2.7.2.1 Splines

            Splines 4.Ordnung koennen bei geometrisch richtiger 
            Umsetzung nicht ausgeleitet werden. 
            (bei IGES_DRAW false)

            Bei IGES_SPLI false und IGES_DRAW false koennen gar keine 
            Splines ausgeleitet werden.
            (Nur fuer IGES)

    2.7.2.2 Unendliche Linien

            Unendliche Linien werden als endliche ausgeleitet, deren 
            Endpunkte u.U. weit ausserhalb liegen. Beim Wiedereinlesen
            der Datei kann es vorkommen, dass die Grafik dieser 
            Linien nicht richtig dargestellt wird.


    2.7.2.3 Bogenlaengenbemassung

            Bogenlaengenbemassung kann in der Leistungsstufe G1B1 
            nicht ausgeleitet werden. In der Leistungstufe PLUS wird 
            eine Winkelbemassung ausgeleitet, die jedoch als Bogen-
            laengenbemassung von der PLUS-Stufe erkannt werden kann.
            (Nur fuer IGES)

    2.7.2.4 Namen von Primitiven

            Die Namen von Primitiven ausser Gruppen und Ebenen
            werden nicht ausgeleitet.

    2.7.2.5 Schalter <>_PFAD in der Konfigurationsdatei

            Der Pfadname hinter <>_PFAD wird nur im Interaktivem 
            ausgewertet. Beim Aufruf in AQL mit input_iges/output_iges
            bzw. input_dxfv12/output_dxfv12 muss der vollstaendige 
            Dateiname angegeben werden.

    2.7.2.6 Konturen (Flaechen)

            In IGES kann eine Kontur nicht nur, wie in I-DEAS 2D ENG.
            aus Linien und Kreis(boegen) bestehen, sondern auch aus 
            Splines und Ellipsen.

            Splines werden daher innerhalb von Konturen grundsaetzlich
            polygonalisiert und werden dadurch angenaehert 
            (vgl. ALLG_SYST_EPSL in iges.zuor) in die Kontur aufgenom-
            men.

            Da eine entsprechende Funktion fuer Ellipsen noch nicht 
            zur Verfuegung steht, werden sie momentan nicht in 
            Konturen aufgenommen. Dabei kann es vorkommen, dass 
            Konturen nicht geschlossen sind und als Folge davon auch 
            Flaechen nicht bzw. falsch uebertragen werden.

            Diese Fehler werden nicht in der Statistik protokoliert, 
            sondern werden in der Datei iges_aql.err im aktuellen 
            Verzeichnis aufgelistet.

    2.7.2.7 Schraffuren

            In G1B1 werden Schraffuren als IGES-Entity 106 ausgeleitet.
            Dazu wird die Grafikberechnung von I-DEAS 2D ENGINEERING ver-
            wendet. Aus diesem Grund kann mit der Einstellung 
            'IGES_DRAW false' in der Leistungsstufe G1B1 keine Schraf-
            fur ausgeleitet werden.

            Die Ausleitung von Schraffuren in der PLUS-Stufe als IGES-
            Entity 230 wird dadurch nicht beeinflusst.

    2.7.2.8 Ausblenden

            Die Information, dass eine Flaeche ausblendet, kann nicht 
            uebertragen werden. Der Postprozessor nimmt daher beim 
            IGES-Entity 230 mit Code 0 oder 19 (also nicht schraf-
            fiert) an, dass ausgeblendet werden soll.


    2.7.2.9 Viewbehandlung

            Die Viewbehandlung erfolgt ohne Clipping.

            In Zusammenhang mit Views (Entity 410) und Single 
            Subfigure Definition (Entity 308) kann es unter Umstaenden
            zu Problemen kommen, wenn die IGES-Datei von einem 3D-
            System stammt. In diesem Fall ist es notwendig die Ein-
            leitung mit dem Schalter IGES_USER aufl durchzufuehren.
            Andere Einstellungen fuehren zur Erzeugung von zweidimen-
            sionalen USER-Elementen, die dann natuerlich nicht mehr 
            aus anderen Richtungen betrachtet werden koennen.

            Analoges gilt fuer Viewport und Block in DXF.

    2.8     Verhalten im Fehlerfall

            Pruefen Sie bitte zuerst anhand der Dokumentation und der 
            Freigabemitteilung, ob es sich nicht um eine dokumentierte
            Einschraenkung handelt.
    
            Falls ein Produktfehler oder Aenderungswunsch vorliegt, 
            koennen Sie uns rund um die Uhr eine Meldung faxen oder 
            von 8.00 bis 16.30 Uhr telefonisch informieren, voraus-
	      gesetzt Sie haben einen entsprechenden Wartungsvertrag 
	      abgeschlossen:
    
	      Die Nummer der HOTLINE entnehmen Sie bitte der Freigabemit-
	      teilung zu I-DEAS 2D ENGINEERING.
             
            Bitte benutzen Sie das Program Information Report Formular.
            (PIR-Formular)

            Ein Formular befindet sich in der Inbetriebnahmeanleitung.

            Bei Softwarefehlern werden zu Diagnosezwecken folgende
            Unterlagen benoetigt:
     
            - Moeglichst praezise Fehlerbeschreibung mit Hinweis auf 
              die Abweichung vom Benutzerhandbuch
            - IGES bzw. DXF-Datei bei Fehler im POST-Prozessor
            - modell.top bei Fehler im PRE-Prozessor mit den dazuge-
              hoerigen Userelementen
            - Die Protokolldatei des Prozessorlaufes
            - Die Datei 'iges_aql.err' bzw. 'dxf_aql.err'
            - Die Zuordnungsdateien
            - Treten bei der Anwendung von I-DEAS 2D ENGINEERING
              falsche graphische Darstellungen oder sonstige 
              Effekte auf, die sich nur per Bildmaterial, sprich Bild-
              schirmabzug, beschreiben lassen, so benoetigen wir zur 
              Diagnose einen Hardcopy-Abzug des Bildschirms.
    
    
            Bitte senden Sie diese Unterlagen an die im PIR-Formular
            angegebene Adresse.

            Nach Pruefung des Fehlers werden Sie von uns benach-
            richtigt. 
    


    3       Hardware-Unterstuetzung

            Wie I-DEAS 2D ENGINEERING.

            Genaue Angaben zulaessiger Hardwarekonfigurationen, 
            insbesondere im Zusammenwirken mit anderen I-DEAS Produkten, 
            erfragen Sie bitte bei Ihrer Geschaeftsstelle.


    4       Software-Unterstuetzung

            Durch die Definition der IGES-Norm bedingt, gibt es bei 
            den unterschiedlichen Prozessoren Probleme bei der Inter-
            pretation der Daten.

            Analoges gilt fuer das DXF-Format.

            Deshalb ist der DATA TRANSLATOR konfigurierbar gestaltet, 
            und kann an bestimmte Quell- oder Zielsysteme optimal 
            angepasst werden.  
            
            Bei derartigen Fragen oder Wuenschen koennen Sie sich 
            ebenfalls an die oben unter 2.8 Verhalten im Fehlerfall 
            genannte Adresse wenden.



    5       Hinweise

            Das Handbuch bezieht sich ausschliesslich auf das IGES-Format.
            Analoges gilt inzwischen auch fuer das Einlesen von DXF-Dateien.

            Im folgenden werden zusaetzliche Schalter IGES_... beschrieben. 
            Soweit dort nichts anderes steht, gelten diese Schalter als 
            DXF_... auch fuer das Einlesen von DXF-Dateien.


            - Handbuch S. 15f: Der englische Begriff Layer wurde 
                               anstatt Ebene verwendet.

                               Bei IGES_GRUP bzw. IGES_LAYR wird nur 
                               das entsprechende Primitiv Gruppe bzw. 
                               Ebene mit ausgeleitet, nicht jedoch die
                               anderen enthaltenen 
                               Primitive.

                               Zur Selektion des Inhalts von Gruppen 
                               und Ebenen stehen alle entsprechenden 
                               Funktionen von I-DEAS 2D ENGINEERING 
                               zur Verfuegung.

            - Handbuch S. 15 : Folgende Variable zur Steuerung des 
                               Uebersetzungslaufes sind nicht bzw. nicht
                               vollstaendig aufgefuehrt :

   IGES_AUTH : Name des Authors
               Der hier eingetragene Name wird vom Preprozessor in der
               Global-Section der IGES-Datei (im Parameter 21) einge-
               tragen.
               (Nur fuer IGES)

   IGES_GRAF : Art der Grafikausleitung (Nur Preprozessor)
               Erweiterung/Ersatz von IGES_DRAW  
               false -> IGES_DRAW ist massgebend (Voreinstellung)
               true  -> Grafische Primitive (Symbole, Vektoren, ...) 
                        koennen mit ausgeleitet werden und IGES_DRAW 
                        wird auf true gesetzt.
               (Nur fuer IGES)

   IGES_VIEW : Art der Vieweinleitung (Nur Postprozessor)
               false -> Keine Behandlung von VIEWs bzw. Viewports
               true  -> Views (Entity 410) innerhalb einer Drawing 
                        (Entity 404) werden ausgewertet. Ist das 
                        Sendesystem ein 3D - System koennen dabei 
                        jedoch Probleme auftreten, evt. IGES_UBIS
                        auf aufl(oesen) setzen.

   IGES_VINR : Darzustellende View-Nummer (Nur Postprozessor)
               Es kann eine bestimmte View ausgewaehlt werden.
               false -> Keine Einschraenkung
               0..99 -> Nummer der View in Drawing bzw. ID des Viewports

   IGES_NAME : Zeilennummern der DE-/PD-Section als Name an die 
               Elemente vergeben
               false -> keinen Namen vergeben (Voreinstellung)
               true  -> Namen ("DE<DE-Nr>,PD<PD-Nr>")vergeben (IGES)
                              ("DXF<Zeilen_Nr>")              (DXF)

   IGES_DATP : Protokollierung aller Dateinamen im Hintergrundfenster
               false -> Keine Protokollierung
               true  -> Protokollierung der Protokolldatei 
                        (Voreinstellung)
               full  -> Protokollierung aller Dateinamen

   IGES_UNIT : Ueberdefinition der Masseinheit
               false -> keine Ueberdefinition der Masseinheit 
                        (Voreinstellung)
               inch  -> Masseinheit ist inch
               mm    -> Masseinheit ist mm

   IGES_STAT : Ausgabe der Statistik zusaetzlich auf stdout
               false -> Keine Ausgabe
               true  -> Ausgabe (Voreinstellung)

   IGES_MESS : Definition der Meldungsstaerke
               norm  -> Meldungsstaerke normal (Voreinstellung)
               meld  -> Fehler, Warnungen und Meldungen ausgeben 
                        (wie norm)
               warn  -> Fehler und Warnungen ausgeben
               err   -> nur Fehlermeldungen ausgeben

   IGES_MASS : Art der Bemassungseinleitung (nicht im DXF-Preprozessor)
               true  -> aus Masselementen werden Bemassungen generiert 
                        und umgekehrt;
               false -> Masselemente werden zu Gruppen konvertiert und 
                        deren Subelemente direkt uebersetzt 
                        (Linien, Boegen, Texte).
               din   -> (Nur IGES-Postprozessor) wie false, jedoch wird 
                        die Masspfeilgroesse nicht aus der IGES-Datei 
                        entnommen, sondern die Groesse nach DIN einge-
                        stellt, die I-DEAS 2D ENGINEERING bei der 
                        Bemassung verwendet.
   
                        Fehlt der Eintrag, so wird beim IGES-Postprozessor
                        bei der Leistungsstufe G1B1 "false" und sonst
                        stets true angenommen. 

   IGES_USER : Steuerung der Unterbilderzeugung 

               IGES-Preprozessor:
               vorh  -> Leeres Subfigure (308) erzeugen. Das Ziel-
                        system soll dann ein vorhandenes Unterbild 
                        verwenden. (Voreinstellung)
               aufl  -> Gruppen erzeugen

               Bemerkung : 'neu' ist im Preprozessor nicht moeglich, 
               da USER-Element-Instanzen in voellig unterschiedlicher
               geometrischer Auspraegung vorliegen koennen, uns somit
               keine allgemeingueltige Definition erzeugt werden kann.

               'vorh' ist nur sinnvoll beim Zurueckuebertragen von 
               USER-Elementen, die durch I-DEAS 2D ENGINEERING erstellt 
               wurden, in das Ursprungssystem. Andere USER-Elemente mit 
               den Parametern Punkt, Winkel, Laenge, Laenge, Laenge 
               muessen mit der entsprechenden Funktion in I-DEAS 2D ENG-
               INEERING aufgeloest werden, falls vorhanden, da sie sonst
               nicht uebertragen werden..
                      

               Postprozessor: (wie bisher)
               vorh  -> vorhandene USER-Elemente aus der Bibliothek 
                        IGES_UBBL entnehmen     (Voreinstellung)
               neu   -> USER-Elemente neu erzeugen, auch wenn es in 
                        der Bibliothek vorhanden ist
               aufl  -> alle Subfigures bzw. Bloecke als Gruppen neu 
                        erzeugen (aufloesen)


   IGES_LAYR : Art der Ebenenbehandlung (nur IGES)
               Preprozessor: (wie bisher)
               Postprozessor:
               true  -> Erzeugt Ebenen mit den Eintraegen im Level-
                        Feld der DE-Section der IGES-Datei, z.B. 
                        iges_level_1.
                        Die entsprechende Ebene wird vor der Erzeugung
                        eines Elementes aktiv gesetzt.
               false -> Erzeugt Laengen mit diesen Eintraegen 
                        (Voreinstellung)
                        Diese Laengen werden wo moeglich als Z-Werte 
                        verwendet, wenn kein Sichtbarkeitsproperty
                        vorhanden ist. (Entspricht dem Verhalten der 
                        vorherigen Versionen)

               ACHTUNG : Da DESIGN-IGES die Z-Werte der Primitve
                         in das Level-Feld der DE-Section eintraegt, 
                         sollten IGES-Dateien, die mit DESIGN-IGES 
                         erstellt wurden, nicht mit IGES_LAYR true
                         eingelesen werden. Andernfalls wird fuer 
                         jeden Z-Wert eine eigene Ebene erzeugt.

               Der DXF-Postprozessor erzeugt fuer jeden Layer eine Ebene.

   IGES_ZUOR : Ort des Zuordnungsverzeichnisses

             -   Vereinfachter Zugriff auf zentrale Zuordnungsver-
                 zeichnisse. Das Zeichen # als erstes Zeichen des 
                 Pfades zu IGES_ZUOR wird nun als 
                 '<installations_pfad>/design_iges' 
                 interpretiert. So liefert der Eintrag 
                 'IGES_ZUOR #/zuor' die Voreinstellung fuer IGES,
                 'DXF_ZUOR #/zuor_dxf' diese fuer DXF.

                 Die Verwendung von #/zuor oder #/zuor_ext fuer DXF, bzw.
                 von #/zuor_dxf fuer IGES ist nicht moeglich.

             -   Verbesserte Zeichensatzbehandlung (IGES)
                 Es koennen jetzt auch andere Zeichensatz-Zuordungs-
                 dateien ausser iges_font1001.zuor,iges_font1002.zuor
                 und iges_font1003.zuor verwendet werden, nach dem 
                 Schema iges_font<nr>.zuor . Eine besondere Rolle 
                 spielt dabei der iges_font1.zuor. Diese Datei wird 
                 verwendet, wenn es sie im Zuordnungsverzeichnis gibt. 
                 Damit koennen dann Umlaute, die in der IGES-Datei 
                 z.B. als { aus Font1 stehen wieder rekonstruiert 
                 werden.

             -   Zeichensatzbehandlung (DXF)
                 Die Datei dxf_font.zur dient zur Umsetzung von Sonder-
                 zeichen nach I-DEAS 2D ENGINEERING.
                 Es koennen fuer die Zeichen > 32 und < 255 Aliaszeichen
                 definiert werden.

             -   Alternatives Zuordnungsverzeichnis (IGES)
                 In der Installationsumgebung gibt es ein weiteres 
                 Zuordnungsverzeichnis 'zuor_ext' zur Uebertragung von
                 und nach CAD 2D, SIGRAPH-DESIGN bzw. I-DEAS 2D ENGINEERING.
                 
                 Es wird durch den Eintrag 'IGES_ZUOR #/zuor_ext' ver-
                 wendet.


            - Handbuch S. 15 : Der Defaultwert von IGES_SPLI ist true 
                               statt false.

                               Ohne besondere Angabe werden Splines 
                               also nicht polygonalisiert.

            - Handbuch S. 32 : Symbole koennen entgegen der Angabe in 
                               der Liste der erlaubten Primitive in 
                               dieser Version nur ausgeleitet werden,
                               wenn in der Konfigurationsdatei die
                               Variable IGES_GRAF true gesetzt ist. 
                               Die entsprechenden Primitive lassen 
                               sich nur dann selektieren.

            - Handbuch S. 33 : Der letzte Parameter soll heissen 
                               Bezugskoordinatensystem statt World.




    6       Hilfsprozedur iges_massstab.aql

            Die Funktion des Massstabes zur Darstellung sehr grosser 
            oder sehr kleiner Geometrien in vorgegebenen Zeichnungs-
            feldern wird in CAD-Systemen oft auf andere Art und Weise
            realisiert, als in I-DEAS 2D ENGINEERING, so dass eine AQL-
            Prozedur geschrieben wurde, um die Massstabsfunktionen 
            von I-DEAS 2D ENGINEERING nutzen zu koennen. 
             
            Da CAD-Systeme oft nur ein einziges globales Weltkoor-
            dinatensystem kennen, werden alle unmassstaeblich er-
            zeugten Bilder mit auf den Massstab umgerechneten Modell-
            koordinaten erzeugt.
             
            Das bedeutet, dass eine 10 mm lange Linie bei Massstab 1:1
            z.B. vom Punkt 0,0 zum Punkt 10.0 verlaeuft, bei Massstab 
            10:1 dann vom Punkt 0,0 zum Punkt 100,0. Wird diese 100 mm
            lange Linie nun bemasst, so wird in Abhaengigkeit des Mass-
            stabes beim Abstandsmass der entsprechende Wert eingetragen
            und zwar dergestalt, dass der Abstand der Punkte in Modell-
            koordinaten mit dem Massstabsfaktor verrechnet und als 
            Masswert eingetragen wird.
             
             
           0,0                100,0           0,0                 100,0
           ---------------------              ----------------------
           |                   |              |                    |
           |                   |              |                    |
           |                   |              |                    |
           |                   |              |                    |
           |        100        |              |         10         |
           |<----------------->|              |<------------------>|
             
                  OP FMA=1                           OP FMA=10
             
             
            Bei der Uebertragung unmassstaeblicher Zeichnungen aus 
            solchen CAD-Systemen entstehen nun in I-DEAS 2D ENGINEERING 
            mit einem theoretischen Mass versorgte Bilder, da es den 
            Massstab anders interpretiert.
             
            Ein unmassstaeblich gezeichnetes Bild hat in I-DEAS 2D ENG.
            dieselben Modellkoordinaten wie die entsprechende Grafik 
            im Massstab 1:1. Es wird jedoch ueber ein zusaetzliches 
            Koordinatensystem gesteuert, wie "gross" das Bild gezeichnet 
            werden soll, so dass in diesem Fall bei Aenderung des Mass-
            stabes die Bildschirmkoordinaten transformiert werden. Das 
            hat den Vorteil, dass im laufenden Betrieb der Massstab je 
            nach verfuegbarer Zeichenflaeche sehr einfach geaendert 
            werden kann.
             
            Die AQL-Prozedur iges_massstab.aql hat folgenden Leistungs-
            umfang:
             
             
            -  Auswahl der betroffenen Elemente ueber Pickposition oder 
               Gruppenname.
             
             
            -  Ermittlung des Massstabswertes automatisch aus dem 
               ersten gefundenen Abstandsmass oder aus manueller Ein-
               gabe.
             
             
            -  Erzeugung eines Koordinatensystems mit Massstabsfaktor 
               und Redefinieren aller betroffenen Elemente auf dieses 
               Koordinatensystem.
                                              

            Vorgehensweise:

            - Einlesen der Datei in I-DEAS 2D ENGINEERING
              Der Schalter <>_MASS darf dabei nicht auf false stehen,
              da sonst keine Bemassungsprimitive erzeugt werden.
                                                                
            - Aufruf der AQL-Prozedure iges_massstab.aql in 
              I-DEAS 2D ENGINEERING.
              Erreichbar bei normaler Installation unter
              #/../design_iges/iges_massstab.aql
